%global date 20180128
%global commit 2a9603bc67dface9606a658da45e1f5c65170444
%global shortcommit  %(c=%{commit}; echo ${c:0:7})

Name:           ngrep
Version:        1.47^%{date}git%{shortcommit}
Release:    2%{?dist}
Summary:        Network layer grep tool
License:        BSD with advertising
URL:            https://github.com/jpr5/ngrep
Source0:         %{url}/archive/%{commit}/%{name}-%{commit}.tar.gz
Patch0:          %{url}/pull/27.patch
Patch1:          ngrep-tcpkill-c99.patch

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gcc
BuildRequires:  make

BuildRequires:  libnet-devel
BuildRequires:  libpcap-devel
BuildRequires:  pcre2-devel

%description
ngrep strives to provide most of GNU grep's common features, applying them
to the network layer. ngrep is a pcap-aware tool that will allow you to
specify extended regular or hexadecimal expressions to match against data
payloads of packets. It currently recognizes TCP, UDP, ICMP, IGMP and Raw
protocols across Ethernet, PPP, SLIP, FDDI, Token Ring, 802.11 and null
interfaces, and understands bpf filter logic in the same fashion as more
common packet sniffing tools, such as tcpdump and snoop.

%prep
%autosetup -p1 -n %{name}-%{commit}
rm -r regex-0.12

%build
autoreconf -fiv
%configure \
  --enable-pcre2 \
  --enable-ipv6 \
  --with-pcap-includes=%{_includedir}/pcap \
  --enable-tcpkill
%make_build STRIPFLAG=

%install
install -Ddpm0755 %{buildroot}%{_sbindir} %{buildroot}%{_mandir}/man8
%make_install BINDIR_INSTALL="%{_sbindir}"

%files
%license LICENSE
%doc CHANGES CREDITS EXAMPLES.md README.md
%{_sbindir}/ngrep
%{_mandir}/man8/ngrep.8*

%changelog
* Wed Jun 11 2025 bbrucezhang <bbrucezhang@tencent.com> - 1.47^20180128git2a9603b-2
- Rebuilt for loongarch64

* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.47^20180128git2a9603b-1
- initial build
